org.bouncycastle.openpgp.examples

## Class DetachedSignatureProcessor

- java.lang.Object
- - org.bouncycastle.openpgp.examples.DetachedSignatureProcessor

    public class DetachedSignatureProcessor
    extends java.lang.Object

A simple utility class that creates seperate signatures for files and verifies them.

To sign a file: DetachedSignatureProcessor -s [-a] fileName secretKey passPhrase.
If -a is specified the output file will be "ascii-armored".

To decrypt: DetachedSignatureProcessor -v fileName signatureFile publicKeyFile.

Note: this example will silently overwrite files. It also expects that a single pass phrase will have been used.

### Constructor Summary

Constructors
Constructor and Description
`DetachedSignatureProcessor()`

### Method Summary

Methods
`static void` `main(java.lang.String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DetachedSignatureProcessor

    public DetachedSignatureProcessor()

### Method Detail

#### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`